Bug 664140 - (leksah-server) Review Request: leksah-server - Package that provides the interface to GHC-API for leksah
Review Request: leksah-server - Package that provides the interface to GHC-AP...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: ghc-binary-shared ghc-ltk ghc-process-leksah
Blocks: leksah
  Show dependency treegraph
 
Reported: 2010-12-18 11:29 EST by Narasimhan
Modified: 2011-06-23 23:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: leksah-server-0.10.0.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 23:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
leksah-server.spec-1.patch (2.11 KB, patch)
2011-06-02 06:26 EDT, Jens Petersen
no flags Details | Diff
leksah-server.spec-2.patch (622 bytes, patch)
2011-06-14 05:48 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-12-18 11:29:11 EST
SPEC file URL: https://sites.google.com/site/lakshminaras2002/home/leksah-server.spec?attredirects=0&d=1

SRPM URL: https://sites.google.com/site/lakshminaras2002/home/leksah-server-0.8.0.8-1.fc14.src.rpm?attredirects=0&d=1

rpmlint  -i leksah*.rpm ghc-leksah-server-*.rpm leksah-server.spec
leksah-server.x86_64: W: no-manual-page-for-binary leksahecho
Each executable in standard binary directories should have a man page.

leksah-server.x86_64: W: no-manual-page-for-binary leksah-server
Each executable in standard binary directories should have a man page.

ghc-leksah-server-prof.x86_64: E: devel-dependency ghc-leksah-server-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-leksah-server-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-leksah-server-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/leksah-server-0.8.0.8/libHSleksah-server-0.8.0.8_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

5 packages and 1 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2011-05-02 11:06:27 EDT
Can you update to latest version?

Also please ask upstream about the intended GPL version.
Comment 2 Narasimhan 2011-05-22 00:02:04 EDT
Yes, will update to the latest version 0.10.0.4.
I have sent a mail to the authors. Will update the spec again once I get a response.
Comment 3 Narasimhan 2011-05-22 01:33:03 EDT
Updated spec file and srpm links:

http://narasim.fedorapeople.org/package_reviews/leksah-server.spec

http://narasim.fedorapeople.org/package_reviews/leksah-server-0.10.0.4-1.fc14.src.rpm

Koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=3085715

rpmlint  -i *.rpm ../leksah-server.spec
leksah-server.x86_64: W: no-manual-page-for-binary leksahecho
Each executable in standard binary directories should have a man page.

leksah-server.x86_64: W: no-manual-page-for-binary leksah-server
Each executable in standard binary directories should have a man page.

4 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 4 Jens Petersen 2011-06-02 06:24:18 EDT
I had a quick look over the package: generally looks fine.

I think there are some missing requires for wget, ghc, and haddock.
Comment 5 Jens Petersen 2011-06-02 06:26:21 EDT
Created attachment 502486 [details]
leksah-server.spec-1.patch

Also QuickCheck is not available on ppc64.

Few other suggestions too.
Comment 6 Jens Petersen 2011-06-03 05:33:47 EDT
Sorry I got to replace ghc-prof by ghc-Cabal-devel.
Comment 7 Jens Petersen 2011-06-05 08:20:09 EDT
(In reply to comment #5)
> Also QuickCheck is not available on ppc64.

Sorry for this confusing comment.  leksah-server doesn't
require QuickCheck: I was probably worrying about the lack
of ghci on ppc64 but I think leksah-server should build on ppc64 anyway.
Comment 8 Narasimhan 2011-06-07 08:49:21 EDT
Will update the spec file and srpm and post the links here by Thursday.
Comment 9 Narasimhan 2011-06-09 09:21:26 EDT
SRPM link : http://narasim.fedorapeople.org/package_reviews/leksah-server-0.10.0.4-2.fc14.src.rpm
Spec file link : http://narasim.fedorapeople.org/package_reviews/leksah-server.spec

rpmlint output:

ghc-leksah-server-prof.i686: E: devel-dependency ghc-leksah-server-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-leksah-server-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-leksah-server-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/leksah-server-0.10.0.4/libHSleksah-server-0.10.0.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

leksah-server.i686: W: no-manual-page-for-binary leksahecho
Each executable in standard binary directories should have a man page.

leksah-server.i686: W: no-manual-page-for-binary leksah-server
Each executable in standard binary directories should have a man page.

5 packages and 1 specfiles checked; 1 errors, 4 warnings.

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3121602
Comment 10 Jens Petersen 2011-06-14 05:32:43 EDT
Thanks for updating and catching another runtime dep. :)
Looks very fine now to me.

Only comment is you can replace "BR: ghc-prof" with ghc-Cabal-devel
to speed up the build in mock/koji, but you can change that after importing.

I will post a formal review soon.
Comment 11 Jens Petersen 2011-06-14 05:45:26 EDT
All good:

Here is the review:

 +:ok, NA: not applicable

MUST Items:
[] MUST: rpmlint output
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
leksah-server.x86_64: W: no-manual-page-for-binary leksahecho
leksah-server.x86_64: W: no-manual-page-for-binary leksah-server
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Those are not user-run programs though so manpages are not necessary.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release
132e0794679bf4fc2957bec378c0a2dc  leksah-server-0.10.0.4.tar.gz
[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 12 Jens Petersen 2011-06-14 05:48:43 EDT
Created attachment 504633 [details]
leksah-server.spec-2.patch

Suggesting two little tweaks after importing.
Comment 13 Narasimhan 2011-06-14 08:24:10 EDT
New Package SCM Request
=======================
Package Name: leksah-server
Short Description:  Package that provides the interface to GHC-API for leksah
Owners: narasim
Branches: f13 f14 f15
InitialCC: haskell-sig
Comment 14 Narasimhan 2011-06-14 08:25:04 EDT
Thanks for the review. Will incorporate the latest comments while pushing the spec file to the repo.
Comment 15 Jon Ciesla 2011-06-14 09:05:30 EDT
Git done (by process-git-requests).

No new F-13 branches.
Comment 16 Fedora Update System 2011-06-14 10:49:37 EDT
leksah-server-0.10.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/leksah-server-0.10.0.4-2.fc15
Comment 17 Fedora Update System 2011-06-14 10:49:46 EDT
leksah-server-0.10.0.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/leksah-server-0.10.0.4-2.fc14
Comment 18 Narasimhan 2011-06-14 10:50:41 EDT
rawhide build http://koji.fedoraproject.org/koji/buildinfo?buildID=247707
Comment 19 Fedora Update System 2011-06-15 14:36:07 EDT
leksah-server-0.10.0.4-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 20 Fedora Update System 2011-06-23 23:28:53 EDT
leksah-server-0.10.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 21 Fedora Update System 2011-06-23 23:35:39 EDT
leksah-server-0.10.0.4-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.